Loading...
Searching...
No Matches
AtomXHTMLContent Class Reference

## Public Member Functions

| __construct ($xhtml)
| Render ( $ignore1, $ignore2, $ignore3)

## Private Attributes

| $content_string

## Detailed Description

These two classes here sort of emulate the interface from the Zend Framework API with regard to ZendFeedWriteFeed for constructing an Atom feed. Except we do it in a DAViCal way, and we have some huge limitations:

- We only support Atom feeds.
- We only support creating them.

Author
  Andrew McMillan andre.nosp@m.w@mo.nosp@m.rphos.nosp@m.s.co.nosp@m.m

Definition at line 28 of file AtomFeed.php.

## Constructor & Destructor Documentation

## __construct()

AtomXHTMLContent::__construct | ( |  | $xhtml | ) |

Definition at line 31 of file AtomFeed.php.

## Member Function Documentation

## Render()

AtomXHTMLContent::Render | ( |  | $ignore1,
|  |  | $ignore2,
|  |  | $ignore3 )

Definition at line 35 of file AtomFeed.php.

## Member Data Documentation

## $content_string

AtomXHTMLContent::$content_string

private

Definition at line 29 of file AtomFeed.php.

The documentation for this class was generated from the following file:

- inc/AtomFeed.php